﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    //класс-сущность аэробус
    public class EntityAirbus
    {
        public int Speed { get; private set; } //скорость

        public float Weight { get; private set; } //вес

        public Color CorpusColor { get; set; } //цвет корпуса

        public float Step => Speed * 100 / Weight; //шаг перемещения самолёта

        public EntityAirbus(int speed, float weight, Color corpusColor)
        {
            Speed = speed;
            Weight = weight;
            CorpusColor = corpusColor;
        }
    }
}
